org.apache.geode.management.cli

## Class SingleGfshCommand

- java.lang.Object
- - org.apache.geode.management.cli.GfshCommand
  - - org.apache.geode.management.cli.SingleGfshCommand

- All Implemented Interfaces:
    org.springframework.shell.core.CommandMarker

      @Experimental
      public abstract class SingleGfshCommand
      extends GfshCommand

  Command class that extends this class can only have one single command method, i.e only one method that is annotated with @CliCommand.

- - ### Field Summary

    - ### Fields inherited from class org.apache.geode.management.cli.GfshCommand

      `EXPERIMENTAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleGfshCommand()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `updateClusterConfig(java.lang.String group, CacheConfig config, java.lang.Object configObject)` implement this method for updating the cluster configuration of the group the implementation should update the passed in config object with appropriate changes if for any reason config can't be updated.

    - ### Methods inherited from class org.apache.geode.management.cli.GfshCommand

      `authorize, authorize, authorize, executeAndGetFunctionResult, executeFunction, executeFunction, executeFunctionAndGetFunctionResult, findAnyMembersForRegion, findMember, findMembers, findMembersForRegion, findMembersIncludingLocators, getAllMembers, getAllNormalMembers, getCache, getConfigurationPersistenceService, getMember, getMembers, getMembersFunctionExecutor, getMembersIncludingLocators, getNormalMembersWithSameOrNewerVersion, getSubject, isConnectedAndReady, isOnlineCommandAvailable, isSharedConfigurationRunning, setCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleGfshCommand

          public SingleGfshCommand()

  - ### Method Detail

    - #### updateClusterConfig

          public abstract void updateClusterConfig(java.lang.String group,
                                                   CacheConfig config,
                                                   java.lang.Object configObject)

      implement this method for updating the cluster configuration of the group the implementation should update the passed in config object with appropriate changes if for any reason config can't be updated. throw a RuntimeException stating the reason.
      Parameters:
        `group` - the group name of the cluster config, never null
        `config` - the configuration object, never null
        `configObject` - the return value of CommandResult.getConfigObject. CommandResult is the return value of your command method. it should throw some RuntimeException if update failed.